<?
include("../../conexion/class-sb-conexion.php");

	$id_empresa = $_SESSION['ss_empresa'];
	$id_user = $_SESSION['ss_user'];
	$id_autoriza=68;
	include("../../../conex.php");
	include("../../../autoriza.php");
	
	echo "evento ".$evento;
			
		switch($evento){
			case "inst":
				if ($grabar==0)  
				{
				?>
				<script>
					alert ("No Autorizado");
				</script>
				<?
				exit();
				}
			break;
			case "upda":
				if ($grabar==0)  
				{
				?>
				<script>
					alert ("No Autorizado");
				</script>
				<?
				exit();
				}
			break;
			case "dele":
				if ($eliminar==0)  
				{
				?>
				<script>
					alert ("No Autorizado");
				</script>
				<?
				exit();
				}
			break;
		default:
			print ("Error");
		break;
		}
    
	
	
	  switch($evento)
	  {
		case "inst":
		case "upda":
	  
		
			$campos_insert="";
			foreach( $campo as $key => $value ) {
				$campos_insert=$campos_insert."".$key.",";
				$campos_update=$campos_update.str_replace("'","",$key)."='".$value."',";	
			}
			$Query_insert="insert into sb_funcionarios_lista  
			 (".rtrim(str_replace("'","",$campos_insert),",").")  values ('".implode('\',\'',$campo)."')";
			$Query_update="update sb_funcionarios_lista set ".rtrim($campos_update,",");
		
			foreach( $campo as $key => $value ) {
				$key=str_replace("'","",$key);
				$campos_for[$key]=$value;
			}
			
			foreach( $campo2 as $key => $value ) {
				$key=str_replace("'","",$key);
				$campos_for2[$key]=$value;
				//echo $campos_for3[$key]."<br>";
			}
			
			
			$dbx = new sb_mysql();
			$dbx->proceso($empresa_global);
			$ano=$dbx->ano_actual;
			if($dbx->mes_actual<10){
					$mes="0".$dbx->mes_actual;
			}else{
				$mes=$dbx->mes_actual;
			}
			$proceso=$ano.$mes;
			
			$valor_campos=
			"'".$campos_for['Rut_Func']."',".
			"'".$campos_for['Nombre_Func']."',".
			"'".$campos_for['Apellido_Paterno_Func']."',".
			"'".$campos_for['Apellido_Materno_Func']."',".
			"'".$campos_for['Codigo_Empresa_Func']."',".
			"'".$campos_for2['Codigo_Sucursal_Cont']."',".
			"'".$campos_for2['Codigo_Causal_Cont']."',".
			"'".$campos_for2['Fecha_Inicio_Cont']."',".
			"'".$campos_for2['Fecha_Termino_Cont']."',".
			"'".$campos_for2['Cesantia_Cont']."',".
			"'".$campos_for['Codigo_Afp_Func']."',".
			"'".$campos_for['Codigo_Isapre_Func']."',".
			"'".$campos_for2['Tipo_Cont']."',".
			"'".$campos_for2['Codigo_Afp_Recaudadora_Cont']."',".
			"'".$campos_for['Ahorro_Afp_Func']."',".
			"'".$campos_for['Cotizacion_Voluntaria_Func']."',".
			"'".$campos_for['Movilizacion_Func']."',".
			"'".$campos_for['Sexo_Func']."',".
			"'".$campos_for['Viatico_Func']."',".
			"'".$campos_for['Direccion_Func']."',".
			"'".$campos_for['Colacion_Func']."',".
			"'".$campos_for['Comuna_Func']."',".
			"'".$campos_for['Seguro_Vida_Func']."',".
			"'".$campos_for['Fono1_Func']."',".
			"'".$campos_for['Bienestar_Func']."',".
			"'".$campos_for['Fono2_Func']."',".
			"'".$campos_for['Sindicato_Func']."',".
			"'".$campos_for['Calzado_Func']."',".
			"'".$campos_for['Banco_Func']."',".
			"'".$campos_for['Talla_Func']."',".
			"'".$campos_for['Cuenta_Corriente_Func']."',".
			"'".$campos_for['Contacto_Emergencia_Func']."',".
			"'".$campos_for['Fono_Emergencia_Func']."',".
			"'".$campos_for['Sueldo_Base_Func']."',".
			"'".$campos_for['Tramo_Asig_Func']."',".
			"'".$campos_for['Cargas_Norm_Func']."',".
			"'".$campos_for['Tipo_Pactado_Func']."',".
			"'".$campos_for['Valor_Pactado_Func']."',".
			"'".$campos_for['Cargas_Mate_Func']."',".
			"'".$campos_for['Cargas_Inva_Func']."',".
			"'".$campos_for['Ciudad_Func']."',".
			"'".$campos_for['Ahorro_Apv_Func']."',".
			"'".$campos_for['Codigo_Categoria_Func']."',".
			"'".$campos_for['Afecto_Zona_Func']."',".
			"'".$dbx->id_proceso."',".               
			"'".$proceso."',".             
			"'".$id."',".
			"'".$evento."',@resultado";                         
			$sql="call  Procedure_Funcionario01 ($valor_campos);";
			echo $sql;
			
			$consulta = $dbx->consulta_free($sql);
			$consulta = $dbx->consulta_free("select @resultado as res");
			$registro = $dbx->sb_array($consulta);
			echo "-------".$registro['res']."-------";
			if($registro['res']==0){
			 $estado="Registro Actualizado";
			}else{
			 $estado="Error:Intentelo Nuevamente";
			}
			?>
			 <script>
				alert("<?=$estado?>");
				window.parent.actualizar();
			</script>
            <? 
		break;
			case "dele":
			
			
			
			$dbx = new sb_mysql();
			$dbx->proceso($empresa_global);
			$ano=$dbx->ano_actual;
			$mes=$dbx->mes_actual;
			$proceso=$ano.$mes;
			
			
			//echo $Query_update." where Codigo_Apv=".$id;
			if(($dbx->ver==0) && ($dbx->modificacion==0)){
				$sql="Select * from sb_contratos_lista
				      inner join sb_datos_liquidacion on Codigo_Cont = Codigo_Cont_Liq 
					  where Codigo_Func_Cont='".$id."' ";
					  echo $sql;
				$consulta = $dbx->consulta_free($sql);
				$mun2=mysqli_num_rows($consulta);
				if($mun2==1){ 
				$sql_func="update sb_funcionarios_lista set activo='E' where Codigo_Func='".$id."'";
				echo $sql_func;
				$cons = $dbx->consulta_free($sql_func);
				?>
			 	<script>
					alert("Registro eliminado");
					window.parent.actualizar();
				</script>
            	<?
				}else{
				?><script>alert("Error:No se puede eliminar,Tiene mas de una Liquidacion")</script> 
			<?
				}
				
			}else{ 
			?>
			<script>alert("Error:No puede eliminar en revision o modificacion")</script>
            
             <? }
			
		break;
		default:
			print ("Error");
		break;
		} ?> 




 

    
